## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
i = 1
professores[i,1]
## Pacotes
library(knitr)
library(rmarkdown)
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores[i,1], i, ".pdf", sep=''),
keep_tex = "true",
output_dir = "professores/")
}
## Pacotes
library(knitr)
library(rmarkdown)
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores[i,1], i, ".pdf", sep=''),
keep_tex = TRUE,
output_dir = "professores/")
}
## Pacotes
library(knitr)
library(rmarkdown)
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores[i,1], i, ".pdf", sep=''),
output_dir = "professores/")
}
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
professores
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores$professor[i], ".pdf", sep=''),
output_dir = "professores/")
}
## Data
personalized_info <- read.csv(file = "meeting_times.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(personalized_info)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste("handout_", i, ".pdf", sep=''),
output_dir = "handouts/")
}
## Packages
library(knitr)
library(rmarkdown)
## Data
personalized_info <- read.csv(file = "meeting_times.csv", sep = ";", header = TRUE)
setwd("E:/BEN_PROD/CURSOS E PALESTRAS/PALESTRAS/R como uma ferramenta academica/R/Relatorios_Programados")
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores$professor[i], ".pdf", sep=''),
output_dir = "professores/")
}
substr(professores$professor[i])
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
i =1
substr(professores$professor[i])
professores$professor[i], 1, 10)
substr(professores$professor[i], 1, 10)
substr(professores$professor[i], 1, 20)
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
professores
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
setwd("E:/BEN_PROD/CURSOS E PALESTRAS/PALESTRAS/R como uma ferramenta academica/R/Relatorios_Programados/aplicacao")
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Pacotes
library(knitr)
output_dir = "professores/")
## Pacotes
library(knitr)
library(rmarkdown)
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(substr(professores$professor[i], 1, 20), ".pdf", sep=''),
output_dir = "professores/")
}
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores$professor[i], ".pdf", sep=''),
output_dir = "professores/")
}
## Dados
professores <- read.csv(file = "professores.csv", sep = ";", header = TRUE)
## Loop
for (i in 1:nrow(professores)){
rmarkdown::render(input = "mail_merge_handout.Rmd",
output_format = "pdf_document",
output_file = paste(professores$professor[i], ".pdf", sep=''),
output_dir = "professores/")
}
